Subject: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Drew Adams <[email-masked]>
Date: Wed, 30 Aug 2023 22:36:15 +0000

> > > But Drew's point about inserted subdirs would need to be addressed.
> > > My ideal behavior in that case is that it jumps to the file in the
> > > next/previous directory.
> >
> > IMO, _definitely not_.  At most it should move
> > to the subdir header line, skipping only the
> > blank line before it.
> 
> OK, makes sense.
> 
> > The dired+.el optional wraparound behavior I
> > described moves, like the vanilla behavior, to
> > the next line.  It just wraps around, so it
> > doesn't move to the last line of the buffer
> > (which is empty).
> 
> I find wraparound rather disorienting myself,
> but I can see why one might find it useful.

It's an _option_.  That said, I can't imagine
wanting to go to the last (empty) line in the
buffer.